
Foreman - Tracker #19568

Migrate to oVirt APIv4 API

05/16/2017 10:53 AM - Ivan Necas

Status: Closed % Done: 0%

Priority: Normal   

Assignee:    

Category: Compute resources - oVirt   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1399750 Red Hat JIRA:  

Description

oVirt is going to drop API v3 in version 4.2. We need to migrate to the new version

in order to be able to continue supporting oVirt as a compute provider. Expected path is:

1. take ownership of fog-ovirt to extract it from ovirt core https://github.com/fog/fog/issues/3942

2. migrate the fog code from rbovirt to https://github.com/oVirt/ovirt-engine-sdk-ruby to use the v4 API

3. update the foreman to use the updated backend

[1] - https://bugzilla.redhat.com/show_bug.cgi?id=1399750

Related issues:

Related to Foreman - Refactor #20528: Remove direct connection to rbovirt client Closed 08/08/2017

Related to Foreman - Refactor #23067: Expose use_v4 setting for ovirt compute... Closed 03/29/2018

Related to Foreman - Bug #23370: @vm_start_with_cloudinit@ is not supported i... Resolved

Related to Foreman - Bug #23916: Create Host -> RHEV Image: Incorrect CPU cor... Closed

Related to Foreman - Bug #23836: RHEV API v4 VM Import: undefined method `upd... Closed 06/06/2018

Related to Foreman - Bug #23815: RHEV api v4 host creation: undefined method ... Closed 06/05/2018

Related to Foreman - Bug #24924: oVirt API v4 incorrectly enabled VM options Resolved

Has duplicate Foreman - Bug #20191: oVirt 4.2 is not supported Duplicate 07/03/2017

History

#1 - 05/16/2017 10:54 AM - Ivan Necas

- Category set to Compute resources - oVirt

#2 - 07/11/2017 07:00 AM - Ivan Necas

- Has duplicate Bug #20191: oVirt 4.2 is not supported added

#3 - 08/08/2017 09:15 AM - Ori Rabin

- Tracker changed from Refactor to Tracker

#4 - 08/08/2017 09:27 AM - Ori Rabin

- Related to Refactor #20528: Remove direct connection to rbovirt client added

#5 - 01/22/2018 12:18 PM - Bryan Kearney

- Bugzilla link set to 1399750

#6 - 03/29/2018 06:55 PM - Ivan Necas

- Related to Refactor #23067: Expose use_v4 setting for ovirt compute resource added

#7 - 04/23/2018 08:17 PM - Ivan Necas

- Related to Bug #23370: @vm_start_with_cloudinit@ is not supported in fog-ovirt APIv4 added
#8 - 06/18/2018 05:57 AM - Ori Rabin

- Related to Bug #23916: Create Host -> RHEV Image: Incorrect CPU cores count filled when using APIv4 added

#9 - 06/18/2018 05:57 AM - Ori Rabin

- Related to Bug #23836: RHEV API v4 VM Import: undefined method `update_vm' added

#10 - 06/18/2018 05:58 AM - Ori Rabin

- Related to Bug #23815: RHEV api v4 host creation: undefined method `clusters' added

#11 - 09/13/2018 06:20 AM - Hesham Ahmed

- Related to Bug #24924: oVirt API v4 incorrectly enabled VM options added

#12 - 11/14/2019 02:50 PM - Shira Maximov

- Status changed from New to Closed

- Triaged set to No

Closed since all the Related issues were closed or resolved.
